Bug 63578 - up2date misinterprets missing semi-colon in pkgSkipList
up2date misinterprets missing semi-colon in pkgSkipList
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-15 15:57 EDT by David M. Cook
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 17:28:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David M. Cook 2002-04-15 15:57:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020205

Description of problem:
If the semi-colon at the end of the pkgSkipList goes missing for some reason,
up2date seems to treat this in the same way as

pkgSkipList=*;

I would assume this would be a problem with removeSkipList and maybe other
semi-colon terminated entries as well.  I don't know how the semi-colons go
missing in customers' up2date configs, but it happens.

Version-Release number of selected component (if applicable): 2.7.77-7.x.2


How reproducible:
Always

Steps to Reproduce:
1.Remove ; from pkgSkipList or fileSkipList in /etc/sysconfig/rhn/up2date
2.up2date -l
3.
	

Actual Results:  All available updates are show as being skipped.

Expected Results:  Either an error message about the missing semi-colon, or
ignoring an unterminated skiplist. 

Additional info:
Comment 1 Adrian Likins 2003-01-20 17:28:19 EST
well, ugh.  That more or less breaks the fileformat.

the ; indicates "this is a list", otherwise it's just
a string. 

Leaving that ; off in the config file is a broken config file.

Note You need to log in before you can comment on or make changes to this bug.